#include <bits/stdc++.h>

using namespace std;

int main()
{
    int ukupniBodovi, razlikaBodovi; cin>>ukupniBodovi>>razlikaBodovi;

    if(ukupniBodovi < razlikaBodovi) {cout<<-1; return 0;}
    if(ukupniBodovi == razlikaBodovi) {cout<<-1; return 0;}
    
    cout<<0;

    return 0;
}